Debian Bug report logs - #625468
cryptsetup: does not behave nicely if removed but not purged

version graph

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Tue, 3 May 2011 17:45:01 UTC

Severity: normal

Found in version cryptsetup/2:1.2.0-2

Fixed in version cryptsetup/2:1.3.0-1

Done: Jonas Meurer <mejo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#625468; Package cryptsetup. (Tue, 03 May 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cryptsetup: does not behave nicely if removed but not purged
Date: Tue, 03 May 2011 19:23:53 +0200
Package: cryptsetup
Version: 2:1.2.0-2
Severity: normal

Hi,

when cryptsetup is removed but not purged, a bunch of ugly messages is
printed to the console on startup and shutdown:

/etc/init.d/cryptdisks-early: line 19: /lib/cryptsetup/cryptdisks.functions: No such file or directory
/etc/init.d/cryptdisks: line 19: /lib/cryptsetup/cryptdisks.functions: No such file or directory
startpar: service(s) returned failure: cryptdisks-early cryptdisks ... failed!

On shutdown:
startpar: service(s) returned failure: cryptdisks cryptdisks-early ... failed!

Your scripts need to be nicer in this case.

Greetings
Marc

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38.4-zgsrv20080 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Jonas Meurer <mejo@debian.org>:
You have taken responsibility. (Wed, 11 May 2011 19:21:19 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Wed, 11 May 2011 19:21:19 GMT) Full text and rfc822 format available.

Message #10 received at 625468-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: 625468-close@bugs.debian.org
Subject: Bug#625468: fixed in cryptsetup 2:1.3.0-1
Date: Wed, 11 May 2011 19:17:48 +0000
Source: cryptsetup
Source-Version: 2:1.3.0-1

We believe that the bug you reported is fixed in the latest version of
cryptsetup, which is due to be installed in the Debian FTP archive:

cryptsetup-udeb_1.3.0-1_amd64.udeb
  to main/c/cryptsetup/cryptsetup-udeb_1.3.0-1_amd64.udeb
cryptsetup_1.3.0-1.debian.tar.gz
  to main/c/cryptsetup/cryptsetup_1.3.0-1.debian.tar.gz
cryptsetup_1.3.0-1.dsc
  to main/c/cryptsetup/cryptsetup_1.3.0-1.dsc
cryptsetup_1.3.0-1_amd64.deb
  to main/c/cryptsetup/cryptsetup_1.3.0-1_amd64.deb
cryptsetup_1.3.0.orig.tar.bz2
  to main/c/cryptsetup/cryptsetup_1.3.0.orig.tar.bz2
libcryptsetup-dev_1.3.0-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup-dev_1.3.0-1_amd64.deb
libcryptsetup1-udeb_1.3.0-1_amd64.udeb
  to main/c/cryptsetup/libcryptsetup1-udeb_1.3.0-1_amd64.udeb
libcryptsetup1_1.3.0-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup1_1.3.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625468@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Meurer <mejo@debian.org> (supplier of updated cryptsetup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 May 2011 14:45:42 +0200
Source: cryptsetup
Binary: cryptsetup libcryptsetup1 libcryptsetup-dev cryptsetup-udeb libcryptsetup1-udeb
Architecture: source amd64
Version: 2:1.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Changed-By: Jonas Meurer <mejo@debian.org>
Description: 
 cryptsetup - configures encrypted block devices
 cryptsetup-udeb - configures encrypted block devices - udeb (udeb)
 libcryptsetup-dev - libcryptsetup development files
 libcryptsetup1 - libcryptsetup shared library
 libcryptsetup1-udeb - libcryptsetup shared library - udeb (udeb)
Closes: 558405 601314 619249 620923 624828 625468
Changes: 
 cryptsetup (2:1.3.0-1) unstable; urgency=low
 .
   * NOT RELEASED YET
   * new upstream release
     - automatically allocates loopback device for container files. update the
       cryptdisks functions to only setup loopback device for kernel < 2.6.35.
       otherwise, let cryptsetup do the magic itself. *****TODO: TESTING*****
     - introduces maximum default keyfile size, see --help for value. manually
       set the keyfile size with --keyfile-size in order to overwrite the limit.
     - adds luksChangeKey command for changing passphrase/keyfile in one step
     - adds loopAES compatibility command loopaesOpen
     - remove d/patches/01_luksAddKey_return_code.patch, incorporated upstream
   * add gettext support to luksformat script. Thanks to intrigeri for initial
     patch, and adduser sources for implementation ideas. (closes: #558405)
   * fix KEYSCRIPT checks in cryptdisks.functions for empty values.
   * update REAMDE.gnupg and initramfs cryptgnupg hook script:
     - warn about keys being copied to initramfs.
     - fix the documentation to provide working examples.
   * update README.Debian and related documentation:
     - add a section about the 'special' keyscripts askpass and passdev
       (closes: #601314)
     - update several sections, remove reference to lenny
   * add debian/patches/01_create_fix_size.patch, to fix a regression in 1.2.0
     where the size argument was ignored for create command (closes: #624828)
   * add debian/patches/02_manpage.patch, escapes minus signs in manpage
   * remove usplash support from cryptroot initramfs script, askpass and
     keyscripts, add plymouth support to keyscripts. (closes: #620923)
   * ignore options like cipher, hash, size, etc. for luks commands in
     cryptdisks. mention this in the crypttab manpage. (closes: #619249)
   * again check for existance of /lib/cryptsetup/cryptdisks.functions before
     sourcing it in cryptdisks(-early).init. required if cryptsetup is removed
     but not purged, where initscripts are still around. (closes: #625468)
   * bump standards-version to 3.9.2, no changes needed.
   * debian/libcryptsetup1.symbols: update, 1.3.0 adds new function symbols
Checksums-Sha1: 
 7bf1b11c21343c8e96c2342b018215d1d7815fcd 2246 cryptsetup_1.3.0-1.dsc
 47eaedcd79e0a6bf5b56cdf0552086ea38fcbb7f 566628 cryptsetup_1.3.0.orig.tar.bz2
 25e109542ddd444919a27ce20c7dcc65ff7e981c 83243 cryptsetup_1.3.0-1.debian.tar.gz
 c951bc8e340477c5097f8dc1fec21d13739d04a0 187492 cryptsetup_1.3.0-1_amd64.deb
 a0f6b2b2b4b38913e82b7e988ee37ac1b58022bc 88356 libcryptsetup1_1.3.0-1_amd64.deb
 a792578ea25ad20940491f97c3c2a579bdb591f9 45646 libcryptsetup-dev_1.3.0-1_amd64.deb
 de47eca677369726fd2be5d136a9f0ad78fcb98c 34688 cryptsetup-udeb_1.3.0-1_amd64.udeb
 0a2ee292217d71c4ee7833d6b86ad7e2ad9bb2b6 48468 libcryptsetup1-udeb_1.3.0-1_amd64.udeb
Checksums-Sha256: 
 b1480610f5ed8c10c1e494ae54e433fe7d58c8e715de55f74ed4e1d99ed251f3 2246 cryptsetup_1.3.0-1.dsc
 c675059a25061851dcaf9732a2118d75585097c8fbb3985026526988e8d76394 566628 cryptsetup_1.3.0.orig.tar.bz2
 1e4621e46f994221ee5c0a628979290cdd615f2c465abab32b8c371362b0e9f4 83243 cryptsetup_1.3.0-1.debian.tar.gz
 34968fef238e338f1e0ae7edc90bcdd9cc5907b87b737d1bb40b9ecd6db1a522 187492 cryptsetup_1.3.0-1_amd64.deb
 e63012018e6724b316abb9a022cf03029cd3074e51f9d0409c06612a9ec65c70 88356 libcryptsetup1_1.3.0-1_amd64.deb
 97169393411083806d0d3625f3b096815c67821ff35525ffc64c479ddd9f4ff0 45646 libcryptsetup-dev_1.3.0-1_amd64.deb
 031486fda660ad89dcb0690fc61f542367fda4739f8abe21fe9991d2881dccf7 34688 cryptsetup-udeb_1.3.0-1_amd64.udeb
 ff3435102fca3746b90a52c857f5691c8fc11de2c5ff74b9e01130da8c450309 48468 libcryptsetup1-udeb_1.3.0-1_amd64.udeb
Files: 
 322aaaec8f08269cdb6cfeaf70a1d290 2246 admin optional cryptsetup_1.3.0-1.dsc
 d2bc0fd59c1118ec3bfae099af38d333 566628 admin optional cryptsetup_1.3.0.orig.tar.bz2
 48400ef9ba6e442ba8540a8a9153b177 83243 admin optional cryptsetup_1.3.0-1.debian.tar.gz
 01792911f05d40813b9b545912339450 187492 admin optional cryptsetup_1.3.0-1_amd64.deb
 b64828c022522926d7bbc0059498c653 88356 libs optional libcryptsetup1_1.3.0-1_amd64.deb
 c8ddd6e0dc6a46bfefd039c8d8dd979e 45646 libdevel optional libcryptsetup-dev_1.3.0-1_amd64.deb
 cb1948a6dddb4cca8129c3a8198832ce 34688 debian-installer optional cryptsetup-udeb_1.3.0-1_amd64.udeb
 c9089b7735586a269cf1b1c80b960792 48468 debian-installer optional libcryptsetup1-udeb_1.3.0-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNyoWiAAoJEFJi5/9JEEn+whkP+QHw3y5+ZGaIpHtDuKBmI56u
+vDflRxqVXP2F2nXy0Lc1jNL9JOf4agssqLUzAodvNYRtF1wZ0sqkdeoYor/hdPT
WjkV5crLjJpyGV4m9CyTZw2o/hTdfsQHby75emWw7x/CoB5xyHQ1bh7wWy7GFigP
wYX/rxhWGB4sUnqIho7zFqrQtsCX2+x3XdYcxbtdUOsqJhByQ4k02xdSiU4flAEc
JCKCf1HNDkpGaZ3jZ6HQ540L6eU2wbMg4IalW6/OicYV+b+ee30c8G+/2WNQc7jB
hBWPhLEAo7nOTgZXtvosmuGIiqWK4gq2KlKm3JM2/euaK8iejSTCtvxzsW82/tbw
C1mjf+vEIRLeSleWCRCPlnWd7jyNiOpWwHcReKa8goZBZXUYd8wfqJmbDq/C6DkQ
qqJPwC/rzdT8SfEcoykMIqvfkAHMgNrsE2ewcQMVR2wCSMy5F8kiTMgC/KiHOfEG
q5mLRqe7utLkMo5mJgPh6KbMk8Hd3kDrExQuHOHQslx4pZKIA3SfT3g40aj3tWE4
R5CAaNs1kkiBrMDLxZEwiiYUVTwBDGL0uRYc5Acn5A2psefIpr5d1qXfkU1aAxUi
xAZcxAYUV5uT21ZL9/otSxZ+VBWq/AmGE4ePzBGT/e6Tm20dXB70YWUsCXYMoBw6
KN9qpoAq/Ts5B6HQGqqc
=7fEl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Jun 2011 07:38:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:12:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.